SDO_Model_Type::isAbstractType
SDO_Model_Type::isInstance
SDO Functions
PHP Manual

# SDO_Model_Type::isDataType

(^)

SDO_Model_Type::isDataType — Test to see if this SDO_Model_Type is a primitive data type

### Description

bool SDO_Model_Type::isDataType ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Test to see if this SDO_Model_Type is a primitive data type. Returns `TRUE` if this type is a primitive data type, otherwise returns `FALSE`.

### Parameters

None.

### Return Values

Returns `TRUE` if this type is a primitive data type, otherwise returns `FALSE`.

SDO_Model_Type::isAbstractType
SDO_Model_Type::isInstance
SDO Functions
PHP Manual